Github messages for voidlinux
 help / color / Atom feed
* [ISSUE] python a dependency of xfce for no reason
@ 2020-01-11 16:09 voidlinux-github
  2020-01-12  2:32 ` voidlinux-github
                   ` (6 more replies)
  0 siblings, 7 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-11 16:09 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 434 bytes --]

New issue by bgkillas on void-packages repository

https://github.com/void-linux/void-packages/issues/18236

Description:
i belive that useless dependency should not be there all of these i can uninstall and works perfectly fine (from my testing) besides libxfce4ui that breaks stuff so why are these dependency here 
![image](https://user-images.githubusercontent.com/55570525/72207031-a4876f00-3462-11ea-9645-5b6b6bc212da.png)



^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: python a dependency of xfce for no reason
  2020-01-11 16:09 [ISSUE] python a dependency of xfce for no reason voidlinux-github
@ 2020-01-12  2:32 ` voidlinux-github
  2020-01-13  4:20 ` voidlinux-github
                   ` (5 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-12  2:32 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 707 bytes --]

New comment by ruegerjr on void-packages repository

https://github.com/void-linux/void-packages/issues/18236#issuecomment-573375446

Comment:
I am not a maintainer here, but do not understand your  post.  The statement ,

> "besides libxfce4ui that breaks stuff so why are these dependency  here"

makes no sense at all.  Despite your "testing", libxfce4ui is a core part of XFCE4, not some add-on.
**thunar** requires it
**xfce4-pane1** requires it
**xfce4-session** requires it
**xfce4-settings** requires it
**xfdesktop** requires it
**xfwm4** requires it.
I could go on, but you get the point.  Breaking python-gobject and libxfce4ui by removing python breaks the XFCE4 desktop environment.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: python a dependency of xfce for no reason
  2020-01-11 16:09 [ISSUE] python a dependency of xfce for no reason voidlinux-github
  2020-01-12  2:32 ` voidlinux-github
@ 2020-01-13  4:20 ` voidlinux-github
  2020-01-13  4:37 ` voidlinux-github
                   ` (4 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-13  4:20 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 454 bytes --]

New comment by q66 on void-packages repository

https://github.com/void-linux/void-packages/issues/18236#issuecomment-573502500

Comment:
fwiw, it's true the dependency shouldn't be there; as far as i can see, python is needed by `glade3` for one of its plugins, but said plugin is not shipped in `libgladeui3`, but rather in `glade3` itself; therefore the `python-gobject` runtime dependency should be on `glade3` (and it should be updated for python3)

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: python a dependency of xfce for no reason
  2020-01-11 16:09 [ISSUE] python a dependency of xfce for no reason voidlinux-github
  2020-01-12  2:32 ` voidlinux-github
  2020-01-13  4:20 ` voidlinux-github
@ 2020-01-13  4:37 ` voidlinux-github
  2020-01-18  9:43 ` voidlinux-github
                   ` (3 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-13  4:37 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 304 bytes --]

New comment by ruegerjr on void-packages repository

https://github.com/void-linux/void-packages/issues/18236#issuecomment-573505098

Comment:
Thanks, and I understand.  My reading of the post seemed to imply that libxfce4ui was detrimental and could/should be left out.  That is what I took issue with.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: python a dependency of xfce for no reason
  2020-01-11 16:09 [ISSUE] python a dependency of xfce for no reason voidlinux-github
                   ` (2 preceding siblings ...)
  2020-01-13  4:37 ` voidlinux-github
@ 2020-01-18  9:43 ` voidlinux-github
  2020-01-18  9:48 ` voidlinux-github
                   ` (2 subsequent siblings)
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-18  9:43 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 268 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/issues/18236#issuecomment-575883255

Comment:
glade 3 could be built with python 3.
I had written an update for a while, but it doesn't work now.

I'll look into update it.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: python a dependency of xfce for no reason
  2020-01-11 16:09 [ISSUE] python a dependency of xfce for no reason voidlinux-github
                   ` (3 preceding siblings ...)
  2020-01-18  9:43 ` voidlinux-github
@ 2020-01-18  9:48 ` voidlinux-github
  2020-01-18  9:58 ` voidlinux-github
  2020-01-18 11:19 ` voidlinux-github
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-18  9:48 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 277 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/issues/18236#issuecomment-575883255

Comment:
glade 3 could be built with python 3.
I had written an update for a while, but it doesn't work now for armv6

I'll look into update it.

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: python a dependency of xfce for no reason
  2020-01-11 16:09 [ISSUE] python a dependency of xfce for no reason voidlinux-github
                   ` (4 preceding siblings ...)
  2020-01-18  9:48 ` voidlinux-github
@ 2020-01-18  9:58 ` voidlinux-github
  2020-01-18 11:19 ` voidlinux-github
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-18  9:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 209 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/issues/18236#issuecomment-575884294

Comment:
Here is the PR: https://github.com/void-linux/void-packages/pull/17766

^ permalink raw reply	[flat|nested] 8+ messages in thread

* Re: python a dependency of xfce for no reason
  2020-01-11 16:09 [ISSUE] python a dependency of xfce for no reason voidlinux-github
                   ` (5 preceding siblings ...)
  2020-01-18  9:58 ` voidlinux-github
@ 2020-01-18 11:19 ` voidlinux-github
  6 siblings, 0 replies; 8+ messages in thread
From: voidlinux-github @ 2020-01-18 11:19 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 231 bytes --]

New comment by sgn on void-packages repository

https://github.com/void-linux/void-packages/issues/18236#issuecomment-575889685

Comment:
I fixed the broken build for armv6hf-musl.
We can drop python 2 dependency once it's merged

^ permalink raw reply	[flat|nested] 8+ messages in thread

end of thread, back to index

Thread overview: 8+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-01-11 16:09 [ISSUE] python a dependency of xfce for no reason voidlinux-github
2020-01-12  2:32 ` voidlinux-github
2020-01-13  4:20 ` voidlinux-github
2020-01-13  4:37 ` voidlinux-github
2020-01-18  9:43 ` voidlinux-github
2020-01-18  9:48 ` voidlinux-github
2020-01-18  9:58 ` voidlinux-github
2020-01-18 11:19 ` voidlinux-github

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git